xampp - ioncube - windows xp

Problems with the Windows version of XAMPP, questions, comments, and anything related.

xampp - ioncube - windows xp

Postby C Powell » 21. May 2009 18:47

hi,

i need to test socialmedia script on windows xp but can't get ioncube working which is needed by the script.

i have ioncube folder with all loaders @ c:\xampp\htdocs\sm\ioncube\

i ran http://localhost/sm/ioncube/ioncube-loader-helper.php and got

php.ini Installation Instructions
Analysis
Analysis of your system configuration shows:
PHP Version 5.2.9
Operating System Windows
Threaded PHP Yes
php.ini file C:\xampp\php\php.ini
Required Loader ioncube_loader_win_5.2.dll
Instructions
To install the Loader in your php.ini file, edit or create the file C:\xampp\php\php.ini and add the following line before any other zend_extension lines:
zend_extension_ts = <drive>:\<path>\ioncube_loader_win_5.2.dll
where <drive>:\<path>\ is where you've installed the loader.

If there are no zend_extension lines already, you can put the line at any point in the file.

Finally, stop and restart your web server software for the changes to take effect.


so in c:\xampp\php\php.ini i change the section

[Zend]
zend_extension_ts = "C:\xampp\php\zendOptimizer\lib\ZendExtensionManager.dll"
zend_extension_manager.optimizer_ts = "C:\xampp\php\zendOptimizer\lib\Optimizer"
zend_optimizer.enable_loader = 0
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:


to

[Zend]
zend_extension_ts = C:\xampp\htdocs\sm\ioncube\ioncube_loader_win_5.2.dll
zend_extension_manager.optimizer_ts = "C:\xampp\php\zendOptimizer\lib\Optimizer"
zend_optimizer.enable_loader = 0
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:

after that i restarted apache from XAMPP Control Panel using stop button, waited a few minutes then hit the start button to start it back up again.

After doing all that i still get the message

"Site error: the file C:\xampp\htdocs\sm\index.php requires the ionCube PHP Loader ioncube_loader_win_5.2.dll to be installed by the site administrator." :?

Edit: should this

zend_optimizer.enable_loader = 0

be changed to

zend_optimizer.enable_loader = 1

as in 1 = Yes

I have already tried that but made no difference. maybe some kind of order you have to do it in or something?
C Powell
 
Posts: 2
Joined: 21. May 2009 18:24

Re: xampp - ioncube - windows xp

Postby C Powell » 21. May 2009 19:09

My bad. The ioncube folder that comes with the script only contains linux loaders. I got windows loaders from ioncube website and now all is good.
C Powell
 
Posts: 2
Joined: 21. May 2009 18:24


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 43 guests